{% extends 'base.jinja2' %}
{# device_type = s9863a1h10_81 #} 

{% block vland %}
{#  #}
{% endblock vland %}

{% block body %}
adb_serial_number: '{{ adb_serial_number|default('0000000000') }}'
fastboot_serial_number: '{{ fastboot_serial_number|default('0000000000') }}'
fastboot_options: {{ fastboot_options|default([]) }}

# This attribute identifies whether a device should get into fastboot mode by
# interrupting uboot and issuing commands at the bootloader prompt.
fastboot_via_uboot: True

actions:
  deploy:
    methods:
      lxc:
      fastboot:
      u-boot:
      u-boot:
        parameters:
          bootloader_prompt: 'sharkl3#'
          interrupt_prompt: 'ddr init start'
          # character needed to interrupt u-boot, single whitespace by default
          interrupt_char: q
          send_char: False
          # method specific stanza
          fastboot:
            commands:
              - cboot fastboot
    connections:
      lxc:
      serial:
  boot:
    connections:
      lxc:
      serial:
    methods:
      lxc:
      u-boot:
        parameters:
          bootloader_prompt: 'sharkl3#'
          interrupt_prompt: 'ddr init start'
          boot_message: Starting kernel
          # character needed to interrupt u-boot, single whitespace by default
          interrupt_char: q
          send_char: False
      fastboot:
        - reboot
        - wait-usb-add
        - lxc-add-device

{% endblock body %}
